package com.sf.file.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.sf.common.annotation.Excel;
import com.sf.common.core.domain.BaseEntity;

/**
 * OSS对象存储对象 Sys_oss
 * 
 * @author ztzh
 * @date 2024-03-14
 */
public class SysOss extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 对象存储主键 */
    @Excel(name = "对象存储主键")
    private String id;

    /** 租户编号 */
    @Excel(name = "租户编号")
    private String tenantId;

    /** 文件名 */
    @Excel(name = "文件名")
    private String fileName;

    /** 原名 */
    @Excel(name = "原名")
    private String originalName;

    /** 文件后缀名 */
    @Excel(name = "文件后缀名")
    private String fileSuffix;

    /** URL地址 */
    @Excel(name = "URL地址")
    private String url;

    /** 创建部门 */
    @Excel(name = "创建部门")
    private Long createDept;

    /** 服务商 */
    @Excel(name = "服务商")
    private String service;

    /** 文件大小 */
    @Excel(name = "文件大小")
    private Long size;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setTenantId(String tenantId) 
    {
        this.tenantId = tenantId;
    }

    public String getTenantId() 
    {
        return tenantId;
    }
    public void setFileName(String fileName) 
    {
        this.fileName = fileName;
    }

    public String getFileName() 
    {
        return fileName;
    }
    public void setOriginalName(String originalName) 
    {
        this.originalName = originalName;
    }

    public String getOriginalName() 
    {
        return originalName;
    }
    public void setFileSuffix(String fileSuffix) 
    {
        this.fileSuffix = fileSuffix;
    }

    public String getFileSuffix() 
    {
        return fileSuffix;
    }
    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }
    public void setCreateDept(Long createDept) 
    {
        this.createDept = createDept;
    }

    public Long getCreateDept() 
    {
        return createDept;
    }
    public void setService(String service) 
    {
        this.service = service;
    }

    public String getService() 
    {
        return service;
    }
    public Long getSize() {
        return size;
    }

    public void setSize(Long size) {
        this.size = size;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("tenantId", getTenantId())
            .append("fileName", getFileName())
            .append("originalName", getOriginalName())
            .append("fileSuffix", getFileSuffix())
            .append("url", getUrl())
            .append("createDept", getCreateDept())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("service", getService())
            .append("size",getSize())
            .toString();
    }
}
